Retrieve E-Sign document
curl --request POST \
--url https://bgv.konnectnxt.com/api/esign/retrieve/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "53ecfa78-2bb0-48a0-a4f3-d1caa1e79b35",
"esign_doc_id": "01KH6407707YBFWJ642WRWC5D3"
}
'import requests
url = "https://bgv.konnectnxt.com/api/esign/retrieve/"
payload = {
"request_id": "53ecfa78-2bb0-48a0-a4f3-d1caa1e79b35",
"esign_doc_id": "01KH6407707YBFWJ642WRWC5D3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: '53ecfa78-2bb0-48a0-a4f3-d1caa1e79b35',
esign_doc_id: '01KH6407707YBFWJ642WRWC5D3'
})
};
fetch('https://bgv.konnectnxt.com/api/esign/retrieve/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"status": "success",
"message": "E-Sign document retrieved successfully",
"data": {
"request_id": "53ecfa78-2bb0-48a0-a4f3-d1caa1e79b35",
"esign_doc_id": "01KH6407707YBFWJ642WRWC5D3",
"signer_name": "Shivam Singh",
"signer_email": "shivam@gmail.com",
"signer_phone": "9874563210",
"is_signed": true,
"signed_at": "2026-02-18T10:15:30Z",
"signed_file_url": "https://storage.example.com/signed/document_signed.pdf",
"audit_file_url": "https://storage.example.com/audit/document_audit.pdf"
}
}{
"status": "error",
"code": 400,
"message": "Validation failed",
"errors": {}
}{
"status": "error",
"code": 400,
"message": "Validation failed",
"errors": {}
}{
"status": "error",
"code": 400,
"message": "Validation failed",
"errors": {}
}{
"status": "error",
"code": 400,
"message": "Validation failed",
"errors": {}
}E-Sign with Aadhaar
E-Sign Retrieve API
Retrieve signed e-sign document details, status, and audit file using request_id and esign_doc_id.
POST
/
esign
/
retrieve
/
Retrieve E-Sign document
Authorizations
API key issued by KonnectNXT. Pass as Authorization: Bearer <your_api_key>.
Body
application/json
Was this page helpful?
⌘I

